> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Test a connection

GET https://api.sigmacomputing.com/v2/connections/{connectionId}/test

Test whether an existing connection allows read and write operations for the user associated with the API credentials.

  ### Usage notes
  - Retrieve the **connectionId** by calling the [/v2/connections](https://help.sigmacomputing.com/reference/list-connections) endpoint.
      

Reference: https://help.sigmacomputing.com/reference/test-connection

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/connections/{connectionId}/test:
    get:
      operationId: testConnection
      summary: Test a connection
      description: >-
        Test whether an existing connection allows read and write operations for
        the user associated with the API credentials.

          ### Usage notes
          - Retrieve the **connectionId** by calling the [/v2/connections](https://help.sigmacomputing.com/reference/list-connections) endpoint.
              
      tags:
        - Connections
      parameters:
        - name: connectionId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connections_testConnection_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaRead0:
      type: string
      enum:
        - SUCCESS
      title: >-
        V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaRead0
    V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaRead1:
      type: string
      enum:
        - FAILED
      title: >-
        V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaRead1
    V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaRead:
      oneOf:
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaRead0
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaRead1
      title: >-
        V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaRead
    V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite0:
      type: string
      enum:
        - DISABLED
      title: >-
        V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite0
    V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite1:
      type: string
      enum:
        - SUCCESS
      title: >-
        V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite1
    V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite2:
      type: string
      enum:
        - FAILED
      title: >-
        V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite2
    V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite:
      oneOf:
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite0
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite1
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite2
      title: >-
        V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite
    connections_testConnection_Response_200:
      type: object
      properties:
        read:
          $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaRead
        write:
          $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdTestGetResponsesContentApplicationJsonSchemaWrite
      required:
        - read
        - write
      title: connections_testConnection_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Response**

```json
{
  "read": "SUCCESS",
  "write": "DISABLED"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/connections/connectionId/test"

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/connections/connectionId/test';
const options = {method: 'GET', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/connections/connectionId/test"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/connections/connectionId/test")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/connections/connectionId/test")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/connections/connectionId/test', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/connections/connectionId/test");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/connections/connectionId/test")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```